Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.attachments
Class AbstractDataContentHandlerFactory

    java.lang.Object
      org.codehaus.xfire.attachments.AbstractDataContentHandlerFactory

All Implemented Interfaces:
  javax.activation.DataContentHandlerFactory

Direct Known Subclasses:
  DefaultDataContentHandlerFactory

    public class AbstractDataContentHandlerFactory

extends java.lang.Object
implements javax.activation.DataContentHandlerFactory

Author:
  Dan Diephouse

Constructor Summary
`AbstractDataContentHandlerFactory()`

Method Summary
`javax.activation.DataContentHandler` | `createDataContentHandler(java.lang.String contentType)`
`java.lang.String` | `getContentType(java.lang.Class clazz)`
`javax.activation.DataContentHandler` | `getDataContentHandler(java.lang.Class clazz)`
`void` | `register(java.lang.String contentType, java.lang.Class clazz, javax.activation.DataContentHandler handler)` Register a DataContentHandler for a particular MIME type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDataContentHandlerFactory

    public AbstractDataContentHandlerFactory()

Method Detail

### createDataContentHandler

    public javax.activation.DataContentHandler createDataContentHandler(java.lang.String contentType)

  Specified by:
    `createDataContentHandler` in interface `javax.activation.DataContentHandlerFactory`

### getDataContentHandler

    public javax.activation.DataContentHandler getDataContentHandler(java.lang.Class clazz)

### getContentType

    public java.lang.String getContentType(java.lang.Class clazz)

### register

    public void register(java.lang.String contentType,
                         java.lang.Class clazz,
                         javax.activation.DataContentHandler handler)

  Register a DataContentHandler for a particular MIME type.

  Parameters:
    `contentType` - The Content Type.
    `handler` - The DataContentHandler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.